Name:           soapy-airspy
Version:        0.2.0
Release:        3%{?dist}
Summary:        SoapySDR module for Airspy hardware

License:        MIT
URL:            https://github.com/pothosware/SoapyAirspy
Source0:        https://github.com/pothosware/SoapyAirspy/archive/soapy-airspy-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: SoapySDR-devel
BuildRequires: airspyone_host-devel

%description
SoapyAirspy is a SoapySDR plug-in for Airspy hardware.

%prep
%autosetup -n SoapyAirspy-soapy-airspy-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
%ldconfig_scriptlets

%files
%license LICENSE.txt
%{_libdir}/SoapySDR/modules*/libairspySupport.so

%doc README.md Changelog.txt

%changelog
* Tue Aug 17 2021 Doug1 <doug1@fedoraproject.org> - 0.2.0-3
- Add documentation

* Tue Aug 17 2021 Doug1 <doug1@fedoraproject.org> - 0.2.0-2
- Change modules directory version to wildcard

* Sat Aug 14 2021 Doug1 <doug1@fedoraproject.org> - 0.2.0-1
- Initial Fedora packaging

